Bug 136533 - kdepim: crypto/certificate manager support
Summary: kdepim: crypto/certificate manager support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: EasyFix, FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-20 19:26 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 08:07:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample gpg-agent-startup script (396 bytes, text/plain)
2004-10-20 19:28 UTC, Rex Dieter
no flags Details
sample gpg-agent-shutdown script (203 bytes, text/plain)
2004-10-20 19:28 UTC, Rex Dieter
no flags Details
Enable S/MIME backend without extra deps, enabled if gnupg2 installed (535 bytes, patch)
2005-03-21 17:01 UTC, Ville Skyttä
no flags Details | Diff

Description Rex Dieter 2004-10-20 19:26:52 UTC
For crypto,certificate-manager that "just works", references:
http://bugs.kde.org/show_bug.cgi?id=79181
http://kmail.kde.org/kmail-pgpmime-howto.html

In short, 
BuildRequires: gpgme-devel >= 0.4.5

See
gpgme: http://bugzilla.fedora.us/show_bug.cgi?id=2180
and dependancies:
gnupg2: http://bugzilla.fedora.us/show_bug.cgi?id=2179
pinentry: (in fedora.us/Extras already)

Comment 1 Rex Dieter 2004-10-20 19:28:13 UTC
Created attachment 105544 [details]
sample gpg-agent-startup script

Sample gpg-agent startup, put in /usr/env (so startkde will automatically
process on login)

Comment 2 Rex Dieter 2004-10-20 19:28:52 UTC
Created attachment 105545 [details]
sample gpg-agent-shutdown script

Sample gpg-agent shutdown, put in /usr/shutdown (so startkde will automatically
process on login)

Comment 3 Ville Skyttä 2005-03-21 17:01:52 UTC
Created attachment 112183 [details]
Enable S/MIME backend without extra deps, enabled if gnupg2 installed

Are the startup/shutdown scripts still needed for something?  gpg-agent seems
to be started without any extra tweaks when I've got gnupg2 installed and log
into KDE.

Anyway, here's an alternative without using any new dependencies: just pass the
path to gpgsm in configure and the "base" S/MIME support is enabled. 
gpgsm/gnupg2 doesn't have to be installed at build or runtime, but if it is
present when run, the KMail S/MIME backed is enabled, and kleopatra no longer
refuses to start (the latter will need gpg-agent running).

I think this would be a good addition to the FC package.  I've added explicit
path to gpg too, so that even if gnupg is not installed at build time, support
for it gets compiled in.

Comment 4 Rex Dieter 2005-03-21 18:44:23 UTC
A reasonable workaround at least until gpgme gets into Core.  kdepim then uses
it's own local/static gpgme copy at build time if the shared-lib isn't available.

I'll have to revisit the gpg-agent issue.

Comment 5 Rex Dieter 2005-03-21 19:07:38 UTC
Dunno how gpg-agent is getting started for you, but without the script in
/usr/env kmail gives me warnings about gpg-agent not running.

Comment 6 Ville Skyttä 2005-03-21 20:46:28 UTC
Hm, I just remembered that I run keychain,
http://www.gentoo.org/proj/en/keychain/ , that's probably it.

Recent versions of it have added gpg-agent support, and although I don't
remember specifically configuring any gpg-agent stuff for it, maybe it starts it
by default OOTB.

Anyway, I think that's a non-blocker wrt. my suggested patch in comment 3, and
that gpg-agent stuff needs to be enabled somewhere else than KDE-specific
startup/shutdown dirs so that non-KDE users can enjoy it as well.  Possibly
xinitrc.d.  But that's offtopic here...

Comment 7 Rex Dieter 2005-03-21 21:30:03 UTC
I'd love for gpg-agent stuff to go in /etc/profile.d, but there's no analogous
location for logout/shutdown scripts.  It would be a waste to keep gpg-agent
running when not logged in.

Comment 8 Rex Dieter 2005-12-01 15:45:29 UTC
OK, simpler approach (so we can actually make some progress)... I'll just put
the gpg-agent-(startup|shutdown) scripts in FE's gnupg2 (so they can
theoretically be used by non-KDE/gnome folks).  All that is required now (as
Ville suggested) is for kdepim to be built with ./configure options:
--with-gpg=%{_bindir}/gpg --with-gpgsm=%{_bindir}/gpgsm



Comment 9 Ville Skyttä 2005-12-03 22:00:00 UTC
Patch from comment 3 still applies with some line offsets.  +1 to applying it.

Comment 10 Rex Dieter 2006-07-07 19:17:03 UTC
ping... 

kdepim now has
 --with-gpg=%{_bindir}/gpg 
but we're (still) missing
 --with-gpgsm=%{_bindir}/gpgsm

Comment 11 Ngo Than 2006-07-08 08:07:29 UTC
kdepim-3.5.3-5 already includes the patch from comment 3. Thanks for your 
reports



Note You need to log in before you can comment on or make changes to this bug.